I'm installing ruby for the first time on OS X 10.4.11. I'm following the directions written in Simply Rails 2, the section on install Ruby on a Mac.

I installed readline, then I followed the directions for installing ruby 1.8.6. I ran "sudo make install" - no errors. When I ran "make install-doc", I get the following errors:

No definition for proc_getpgrp
..........................................................
random.c: ..
range.c: c................
re.c: ccc....................................
regex.c:
ruby.c:
signal.c: m....
No definition for interrupt_init
.
sprintf.c:


followed later by these errors:

socket.c: ccccccccccm.
No definition for bsock_do_not_rev_lookup
.
No definition for bsock_do_not_rev_lookup_set
.
No definition for bsock_s_for_fd
.
No definition for bsock_close_read
.
No definition for bsock_close_write
.
No definition for bsock_shutdown
...
No definition for bsock_getsockname
.
No definition for bsock_getpeername
.
No definition for bsock_send
.
No definition for bsock_recv
..
No definition for ip_addr
.
No definition for ip_peeraddr
.
No definition for ip_recvfrom
.
No definition for ip_s_getaddress
...
No definition for socks_init
.
No definition for socks_s_close
.
No definition for tcp_accept
..
No definition for tcp_sysaccept
.
No definition for tcp_svr_init
..
No definition for udp_init
.
No definition for udp_connect
.
No definition for udp_bind
.
No definition for udp_send
..
No definition for unix_init
.
No definition for unix_path
.
No definition for unix_addr
.
No definition for unix_peeraddr
.
No definition for unix_recvfrom
.
No definition for unix_send_io
.
No definition for unix_recv_io
.
No definition for unix_s_socketpair
.
No definition for unix_s_socketpair
.
No definition for unix_svr_init
.
No definition for unix_accept
..
No definition for unix_sysaccept
..
No definition for sock_initialize
..........
No definition for sock_s_socketpair
.
No definition for sock_s_socketpair
.
No definition for sock_gethostname
..
No definition for sock_s_gethostbyaddr
...
No definition for sock_s_getnameinfo
.
No definition for sock_s_pack_sockaddr_in
.
No definition for sock_s_pack_sockaddr_in
.
No definition for sock_s_unpack_sockaddr_in
.
No definition for sock_s_pack_sockaddr_un
.
No definition for sock_s_pack_sockaddr_un
.
No definition for sock_s_unpack_sockaddr_un

stringio.c: c.....................................................



Running the command "ruby -v" tells me I've got version 1.8.6. But, should I be worried about these errors?